using System;
using System.Collections.Generic;

namespace bdAntifraude.db;

public partial class FICHEROS
{
    public int IDFICHERO { get; set; }

    public string? DESCRIPCION { get; set; }

    public DateTime? FECHA { get; set; }

    public int? IDTIPO { get; set; }

    public string? OBSERVACIONES { get; set; }

    public byte[]? FICHERO { get; set; }

    public string? NOMBREFICHERO { get; set; }

    public virtual ICollection<CORREOS> CORREOS { get; set; } = new List<CORREOS>();

    public virtual ENUMERACIONES? IDTIPONavigation { get; set; }

    public virtual ICollection<NOMINATRABAJADORCABECERA> NOMINATRABAJADORCABECERA { get; set; } = new List<NOMINATRABAJADORCABECERA>();

    public virtual ICollection<PERSONAS> PERSONAS { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PLANTILLAS> PLANTILLAS { get; set; } = new List<PLANTILLAS>();

    public virtual ICollection<PROCESOS> PROCESOS { get; set; } = new List<PROCESOS>();

    public virtual ICollection<TIPOSDOCACTOSADMINPREP> TIPOSDOCACTOSADMINPREP { get; set; } = new List<TIPOSDOCACTOSADMINPREP>();
}
